Page MenuHomePhabricator

1.31.0-wmf.4 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.31.0-wmf.4
Release Date
1508216400

2017 week 42 1.31-wmf.4 Changes wmf/1.31.0-wmf.4

This MediaWiki Train Deployment is scheduled for the week of Monday, October 16th:

Monday October 16thTuesday, October 17thWednesday, October 18thThursday, October 19thFriday
SWAT deployments only.Branch wmf.4 and deploy to Group 0 Wikis.Deploy wmf.4 to Group 1 Wikis.Deploy wmf.4 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.4 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.3
Next: 1.31.0-wmf.5

Event Timeline

mmodell created this task.Aug 28 2017, 4:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2017, 4:56 PM
demon claimed this task.Sep 9 2017, 8:48 PM
greg renamed this task from 1.30.0-wmf.23 deployment blockers to 1.31.0-wmf.4 deployment blockers.Sep 14 2017, 10:57 PM
greg changed Release Version from 1.30.0-wmf.23 to 1.31.0-wmf.4.
demon closed this task as Resolved.Oct 23 2017, 4:49 PM